## org.eclipse.jet.taglib
Interface EmptyTag

All Superinterfaces:
  CustomTag

All Known Subinterfaces:
  ConditionalTag, ContainerTag, IteratingTag

All Known Implementing Classes:
  AbstractConditionalTag, AbstractContainerTag, AbstractEmptyTag, AbstractIteratingTag

    public interface EmptyTag

extends CustomTag

Define characteristics of a JET2 emptyTag. An emptyTag: <bl>

- Has no content (i.e. <mytag>...</mytag> is an error)
- Has a single method `doAction(TagInfo, JET2Context, JET2Writer)` which performs the tag action
</bl>

Method Summary
`void` `doAction(TagInfo td, JET2Context context, JET2Writer out)` Perform the action for the empty tag.

Methods inherited from interface org.eclipse.jet.taglib.CustomTag
`getAttribute, getKind, getOut, getParent, getRawAttribute, setContext, setOut, setParent, setTagInfo`

Method Detail

### doAction

    void doAction(TagInfo td,
                  JET2Context context,
                  JET2Writer out)
                  throws JET2TagException

  Perform the action for the empty tag.

  Parameters:
    `td` - the tag information (attribute values, etc)
    `context` - the JET2 execution context
    `out` - the current output writer.
  Throws:
    `JET2TagException` - if an error occurs

Copyright 2006 IBM Corporation and others. All Rights Reserved.